Subject: Re: bug#727: ntp* missing from desktop tasks

From: Valentin <[email-masked]>
Date: Tue, 06 Dec 2022 15:44:26 +0100

> > In order to have a fully functional desktop environment without systemd
> > either task-desktop, task-kde-desktop or desktop-base should contain an
> > ntp client.
> This seems reasonable. Maybe adding
> 
>  Recommends: time-daemon | ntpsec-ntpdate
> 
> to desktop-base is the best option. ntpd doesn't exist in ceres/daedalus and
> ntpdate is only transitional.

I'm not sure about it. I think it would be nice to have a service that runs by 
default, and this suggestion would install ntpsec-ntpdate if no time-daemon 
was previously installed which needs to be run manually.

But on the other hand i'm not sure what to do instead...
I was looking around in standard debian and there systemd has
Recommends: systemd-timesyncd | time-daemon
 
> Or maybe this should be kde-* only as I am not sure other desktops have a
> menu item to set the time.

I think most desktop environments have it, I'm sure for KDE and Gnome do.
As the de facto standard nowadays is systemd-timesyncd the system-settings 
guis will work with it installed, either by en- or disabling the service or 
via its dbus interface. I'm not sure if they will work for any other ntp 
daemon and can't find any documentation about it....

Sorry for this inconclusive answer and thanks for your work,
Valentin